import request from '@/utils/request'

// 查询店铺信息列表
// export function listpartner(data) {
//   return request({
//     url: '/system/goodsNotice/list',
//     method: 'post',
//     data: data
//   })
// }
// 查询店铺信息列表
export function queryTBusShop() {
  return request({
    url: '/system/Bushop/queryTBusShop',
    method: 'get',
  })
}
// 查询单条信息列表
export function getInfoTx(data) {
  return request({
    url: '/system/goodsPaymentTX/getInfo',
	data:data,
    method: 'post',
  })
}
export function goodsPaymentQX(query) {
  return request({
    url: '/system/goodsPaymentTX/list',
    method: 'post',
    params:query
  })
}
export function querentx(data) {
  return request({
    url: '/system/goodsPaymentTX/querentx',
    method: 'post',
    data:data
  })
}
// 驳回
export function refusal(data) {
  return request({
    url: '/system/goodsPaymentTX/refusal',
    method: 'post',
    data:data
  })
}
export function update(data) {
  return request({
    url: '/system/goodsPaymentQX/update',
    method: 'post',
    data:data
  })
}

export function getQuxianZhong(query) {
  return request({
    url: '/system/goodsPaymentQX/getQuxianZhong',
    method: 'post',
    params:query
  })
}

export function goodsPaymentQXAdd(data) {
  return request({
    url: '/system/goodsPaymentQX/add',
    method: 'post',
    data: data
  })
}

// 获取用户详细信息
export function getInfo() {
  return request({
    url: '/system/user/getInfo',
    method: 'get'
  })
}
export function getPaymentInfo(query) {
  return request({
    url: '/system/goodsPayment/getPaymentInfo',
    method: 'post',
    params: query
  })
}


// 查询店铺信息详细
export function getpartner(id) {
  return request({
    url: '/system/partner/' + id,
    method: 'get'
  })
}


// 修改店铺信息
export function updatepartner(data) {
  return request({
    url: '/system/goodsNotice/updateGoodsNotice',
    method: 'put',
    data: data
  })
}
// 保存订单信息
export function updateOriginalPrice(data) {
  return request({
    url: '/system/goodsPayment/updateOriginalPrice',
    method: 'post',
    data: data
  })
}
// 统计提现信息
export function getTBusGoodsPaymentSum(query) {
  return request({
    url: '/system/goodsPaymentQX/statisticsSum',
    method: 'post',
    params: query
  })
}
// 结算订单信息
export function updatePaymentStatus(data) {
  return request({
    url: '/system/goodsPayment/updatePaymentStatus',
    method: 'post',
    data: data
  })
}
// 查询商品信息列表
export function getInitGoodsManager(query) {
  return request({
    url: '/system/AppWebManagerGoodsController/getInitGoodsManager',
    method: 'get',
    params: query
  })
}
